Перейти до основного вмісту
POST
/
fish
/
audios
Fish Audios
curl --request POST \
  --url https://api.acedata.cloud/fish/audios \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "action": "speech",
  "prompt": "a white siamese cat",
  "voice_id": "d7900c21663f485ab63ebdb7e5905036",
  "model": "fish-tts",
  "callback_url": "<string>"
}
'
{
  "data": [
    {
      "prompt": "let this man wear on this T-shirt",
      "image_url": "https://platform.cdn.acedata.cloud/nanobanana/8e9e0253-26f4-45b9-b3f8-ac1aed1c284b.png"
    }
  ],
  "success": true,
  "task_id": "93f11baf-347b-4bb4-9520-8653cb46d6a3",
  "trace_id": "a9063166-26ed-4451-85b5-54e896817c69"
}

Авторизації

Authorization
string
header
обов'язково

Заголовки

accept
enum<string>

Specifies the format of the response from the server. If not specified, the default format is application/json.

Доступні опції:
application/json

Тіло

application/json
action
enum<string>
обов'язково

The act of cloning voices.

Доступні опції:
speech
Приклад:

"speech"

prompt
string
обов'язково

The input text information for the task of cloning sounds.

Приклад:

"a white siamese cat"

voice_id
enum<string>
обов'язково

When cloning a sound, the voice_id is the basis.

Доступні опції:
d7900c21663f485ab63ebdb7e5905036
Приклад:

"d7900c21663f485ab63ebdb7e5905036"

model
enum<string>

The model adopted for the task of cloning sounds.

Доступні опції:
fish-tts
callback_url
string

The callback URL which will be called when the images is generated, the URL should be accessible from the public internet. If specified, the response will be returned immediately and the result will be sent to the callback URL when it's ready.

Відповідь

OK, the request is successful.

The response is of type object.